﻿@font-face {
    font-family: Montserrat; /* Гарнитура шрифта */
    src: url(../fonts/Montserrat-Regular.ttf); /* Путь к файлу со шрифтом */
}
body {
	font-family: Montserrat;
	color: #333333; /* Цвет символов */		
    line-height: 1.5em;
    margin: auto;
}
header {
	background-color: #FFE873;
    padding: 10px;
}

section {
	/*  max-width: 1200px;  */
	padding: 50px;
	margin: auto;
}

footer {
	background-color: #3E0470;
	padding: 10px;
	/* max-width: 1200px; */
	margin: auto;
/* 	display: flex;
	justify-content: space-between; */
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
    align-items: center;
}

.footermenu {
	padding: 20px;
    text-align: center;
}

.cour {
	margin: 10px 0px 0px 0px;
}

a {
    text-decoration: none; /* Убирает подчеркивание для ссылок */
   } 

.top {
	padding: 10px;
	/* max-width: 1200px;  */
    margin: auto;
/* 	display: flex;
	justify-content: space-between; */
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
	align-items: center;
}
.logo img {
	width: 150px;
    display: block;
    margin: auto;
}

.top .menu {
	padding: 10px;
	text-align: center;
	transform: scale(1);
	transition: transform 0.3s ease-in-out;
}
.top .menu:hover {
	transform: scale(1.8);
}

.tel {
	font-size: 1.3em;
    text-align: center;
    padding: 10px;
}

.aboutus .content {
	background-color: #E3FB71;
	padding: 30px;
/*	display: flex;
	justify-content: space-between;  */
    display: grid;
    grid-template-columns: 1fr 1fr;
	align-items: center;


}

.aboutus .item {
 /*   width: 50vw;   */
	padding: 30px;
    text-align: justify;
	transform: scale(1);
	transition: transform 0.5s ease-in-out;
}
.aboutus .item:hover {
	transform: scale(1.1);
}

.item .pozi {
    text-align: right;
    font-weight: bold;
}

.item .pozi_left {
    text-align: left;
    font-weight: bold;
}

.select {
    color: maroon; /* Цвет текста */
    font-weight: 900; /* Жирное начертание */
   }

section h2 {
	font-size: 3.5em;
	text-align: center;
    padding: 30px;
    line-height: 1em;
}

.classh3 {
	font-size: 1.5em;
    padding: 30px 10px 0px 0px;
}

ul {
    list-style-type: circle; /* Квадратные маркеры */  
    margin-left: 30px; /* Отступ слева */
    padding: 10px;
}

li {
    margin: 10px;
}

p {
    padding: 1em 0px 00px 0px;
}

.production .info {
	background-color: #ffff99;
	padding: 30px;
}

.production .businesscard {
	padding: 30px;
	background-color: #FFE873;
}

.leftimg {
    float:left; /* Выравнивание по левому краю */
    margin: 7px 30px 20px 0; /* Отступы вокруг картинки */
   }

 .rightimg  {
    float: right; /* Выравнивание по правому краю  */ 
    margin: 7px 0 30px 20px; /* Отступы вокруг картинки */
   }
   
.services .content {
	background-color: #ffff99;
	padding: 30px;
}

.digitalprinting {
    display: grid;
    grid-template-columns: 1fr 1fr;
}

.blk {
    padding: 20px;
}

.stamp .content {
	background-color: #ffffcc;
	padding: 30px;
}

.projects .content {
	background-color: #E3FB71;
	padding: 30px;	
/*	display: flex;
	justify-content: space-between;*/
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
	align-items: center;
}

.projects .item {
	padding: 30px;
	text-align: center;
	transform: scale(1);
	transition: transform 0.3s ease-in-out;
}
.projects .item:hover {
	transform: scale(1.2);
}

.contact .content {
	background-color: #FFE873;
	padding: 30px;
/*	max-width: 1200px;  */
	text-align: center;
}

.zakaz {
    background-color: cornflowerblue;
    border-style: solid;
    border-color: #ff0000;
    border-width: 4px;
    text-align: center;
    padding: 20px;
    margin: 30px 30px 0 30px;
    font-size: 1.5em;
}

/* Рекламный баннер. Начало */
.banner_x {
    margin-top: 20px;
}
.banner_b {
    width: 600px;
    border-style: solid;
    border-width: 1px;
    border-color: black;
    margin:auto;
    padding: 20px 20px 40px 20px;
    border-radius: 15px;
    }
.leftimg_b {
    float:left; /* Выравнивание по левому краю */
    margin: 0 20px 0 0; /*  Отступы вокруг картинки */
   }
.leftimg_b2 {
    float:left; /* Выравнивание по левому краю */
    margin: 20px 20px 0 0; /*  Отступы вокруг картинки */
   }
.rightimg_b  {
    float: right; /* Выравнивание по правому краю  */ 
    margin: 0 0 0 0; /* Отступы вокруг картинки */
   }
.zagolovok {
    /* text-align: center; */
    font-size: 1.2em;
    font-weight: bolder;
    }
.banner_content{
    font-weight: bolder;
    }
/* Рекламный баннер. Конец */

.sale {
    width: 96%;
    position: fixed;
    margin: auto;
    border-style: solid;
    border-color: #4f4f4f;
    border-width: 4px;
    padding: 10px;
    text-align: center;
    font-size: 1.5em;
}

/* Выдвижная панель. Начало Конец */
	/* ВНЕШНИЙ БЛОК */
#panel {
    position: fixed; /* положение */
    top: 200px; /* отступ сверху */
    left: 0; /* отступ слева */
    background: green; /* цвет фона */
    width: 30px; /* ширина блока */
    height: 40px; /* высота блока */
    font: 14px Arial; /* размер и тип шрифта */
    color: #fff; /* цвет текста */
    text-align: center; /* выравнивание текста по центру */
    padding: 5px; /* отступы от границ внутри блока */

    -webkit-transition-duration: 0.3s; /* анимационное выдвижение для всех браузеров*/
    -moz-transition-duration: 0.3s;
    -o-transition-duration: 0.3s;
    transition-duration: 0.3s;

    -webkit-border-radius: 0 5px 5px 0; /* закругление границ для всех браузеров*/
    -moz-border-radius: 0 5px 5px 0;
    border-radius: 0 5px 5px 0;
    }

/* СКРЫТЫЙ БЛОК */
#hidden_panel {
    position: fixed; /* положение */
    top: 100px; /* отступ сверху */
    left: -220px; /* отступ слева */
    background: lavender; /* цвет фона */
    color: #000; /* цвет текста */
    width: 200px; /* ширина блока */
    height: 200px; /* высота блока */
    padding: 10px; /* отступы от границ внутри блока */
    text-align: center; /* выравнивание текста */

    -webkit-transition-duration: 0.3s; /* анимационное выдвижение для всех браузеров*/
    -moz-transition-duration: 0.3s;
    -o-transition-duration: 0.3s;
    transition-duration: 0.3s;

    -webkit-border-radius: 0 5px 5px 0; /* закругление границ для всех браузеров*/
    -moz-border-radius: 0 5px 5px 0;
    border-radius: 0 5px 5px 0;
    }
#panel:hover {
    left: 220px; /* при наведении выдвигается на скрытые 200px + 20px отступы */
}
#panel:hover #hidden_panel {
    left: 0; /* отступ слева */
}	

/*КРУЧЕНИЕ БЛОКА */
#blok3 {
    margin-bottom: 5px;
    /* background-color: #ccc; */
    color: #333;
    
    padding: 0px;
    text-align: center;
    /* width: 200px;
    height:100px; */
    
    text-indent: 0px;
    /* border: 1px solid #888; */
    -moz-transition: all 1s 0.1s ease-in;
    -o-transition: all 1s 0.1s ease-in;
    -webkit-transition: all 1s 0.1s ease-in;
cursor: pointer;
}
  #blok3:hover {
    /* background-color: #97CE68; */
    color: #000;
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg); 
    -o-transform: rotate(360deg); 
}

/* Кнопка "ВВЕРХ"*/
.buttonup {
width:88px; 
height:118px;
position:fixed;
bottom: 5px;
left: 50px;
}

/*Схема проезда */
#parent_popup {
  background: rgba(50, 50, 50, 0.9);   /* цвет фона затенения и прозрачность */
  height: 100%;
  opacity: 1.0;  /* прозрачность фона затенения */
  position: fixed;
  width: 100%;
  z-index: 100;
  top: 0;
  left: 0;
}
#popup {
  /* background: url(ramka1-1.png); */  /* картинка, как фон */
  /* background-color: #fff;  */   /* цвет фона окна */
  height: 630px;  /* размер окна по высоте */
  position: fixed;
  top: 50px; /* отступ окна сверху */
  left: 20%;  /* отступ окна слева в процентах */
  color: #ff0000;  /* цвет текста в окне */
  width: 840px;  /* размер окна по ширине*/
}


@media screen and (max-width: 1200px){
	.projects .content {
        grid-template-columns: 1fr;
	}
}

@media screen and (max-width: 1200px){
	footer {
        grid-template-columns: 1fr;
	}
}

@media screen and (max-width: 1200px){
	.top {
        grid-template-columns: 1fr;
        padding: 20px;
	}
}

@media screen and (max-width: 1200px){
	.top .menu {
        grid-template-columns: 1fr;
        padding: 10px;
        /*  background-color: tomato;  */
	}
}

@media screen and (max-width: 1200px){
	.aboutus .content {
        grid-template-columns: 1fr;

	}
}

@media screen and (max-width: 1200px){
    .digitalprinting {
        display: grid;
        grid-template-columns: 1fr;
    }
}

@media screen and (max-width: 800px){
	.cour {
        display: none;
	}
}

@media screen and (max-width: 1100px){
	.map {
        display: none;
	}
}